Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.html.databeans.chart
Class ColOrderChartDataSource

`java.lang.Object
oracle.jbo.html.databeans.chart.ChartDataSource
oracle.jbo.html.databeans.chart.MappedChartDataSource
oracle.jbo.html.databeans.chart.LabelAwareChartDataSource
oracle.jbo.html.databeans.chart.ColOrderChartDataSource`

All Implemented Interfaces:
  tdg.data.in.TDGDataGrid

public class ColOrderChartDataSource
extends LabelAwareChartDataSource

Data source for the chart control. The table data is transposed and the transposed table is used as the data to present as a chart.

Version:
  Internal
See Also:
  `ChartLabelDataSource`

Field Summary

Fields inherited from class oracle.jbo.html.databeans.chart.LabelAwareChartDataSource
`_useFirstColumnAsRowLabel`

Fields inherited from class oracle.jbo.html.databeans.chart.ChartDataSource
`_parent, _qView, _rows`

Constructor Summary
`ColOrderChartDataSource(tdg.Perspective parent)` Constructor

Method Summary
`java.lang.Object` | `columnLabel(int i)`
`int` | `getColumns()`
`int` | `getRows()`
`java.lang.Object` | `getValue(int row, int col)`
`java.lang.Object` | `rowLabel(int i)`

Methods inherited from class oracle.jbo.html.databeans.chart.LabelAwareChartDataSource
`getColumnLabel, getColumnLabelDataSource, getRowLabel, getRowLabelColumnIndex, getRowLabelColumnName, getRowLabelDataSource, getUseFirstColumnAsRowLabel, initialize, setColumnLabel, setColumnLabelDataSource, setRowLabel, setRowLabelColumnIndex, setRowLabelColumnName, setRowLabelDataSource, setRowSet, setUseFirstColumnAsRowLabel`

Methods inherited from class oracle.jbo.html.databeans.chart.MappedChartDataSource
`_getColumnIndex, _getColumnName, _initMap, _mapColumnIndex, getMappingColumnIndices, getMappingColumnNames, setMappingColumnIndices, setMappingColumnNames`

Methods inherited from class oracle.jbo.html.databeans.chart.ChartDataSource
`_updateChart, getFootnote, getO1AxisTitle, getO2AxisTitle, getRowSet, getSubtitle, getTitle, getX1AxisTitle, getY1AxisTitle, getY2AxisTitle, isDirty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColOrderChartDataSource

    public ColOrderChartDataSource(tdg.Perspective parent)

  Constructor

Method Detail

### columnLabel

    public java.lang.Object columnLabel(int i)

  Specified by:
    `columnLabel` in interface `tdg.data.in.TDGDataGrid`
  Overrides:
    `columnLabel` in class `LabelAwareChartDataSource`

### getColumns

    public int getColumns()

  Specified by:
    `getColumns` in interface `tdg.data.in.TDGDataGrid`
  Overrides:
    `getColumns` in class `LabelAwareChartDataSource`

### rowLabel

    public java.lang.Object rowLabel(int i)

  Specified by:
    `rowLabel` in interface `tdg.data.in.TDGDataGrid`
  Overrides:
    `rowLabel` in class `LabelAwareChartDataSource`

### getRows

    public int getRows()

  Specified by:
    `getRows` in interface `tdg.data.in.TDGDataGrid`
  Overrides:
    `getRows` in class `LabelAwareChartDataSource`

### getValue

    public java.lang.Object getValue(int row,
                                     int col)

  Specified by:
    `getValue` in interface `tdg.data.in.TDGDataGrid`
  Overrides:
    `getValue` in class `LabelAwareChartDataSource`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.